#!/bin/bash
set -e

_THIS_NODE_PORT=$1
_OTHER_NODE_PORT=$2
_THIS_NODE_ID=$3

if [ "x$_THIS_NODE_PORT" == "x" ]; then
	echo "At least define this node's port!"
	exit 1
fi

RANDOM_ENV_FILE_PREFIX=$(tr -dc A-Za-z0-9 </dev/urandom | head -c 10)
export PIPENV_DOTENV_LOCATION="/tmp/flnet_node_env_$RANDOM_ENV_FILE_PREFIX"
echo "This node environment variable file is: $PIPENV_DOTENV_LOCATION"

echo "FLNET_NODE_PORT=$_THIS_NODE_PORT" > "$PIPENV_DOTENV_LOCATION"

if [ "x$_OTHER_NODE_PORT" != "x" ]; then
	if [ "$_OTHER_NODE_PORT" != "-1" ]; then
		echo "FLNET_BOOTSTRAP_PAIRS=127.0.0.1:$_OTHER_NODE_PORT" >> "$PIPENV_DOTENV_LOCATION"
	fi
fi

if [ "x$_THIS_NODE_ID" != "x" ]; then
	echo "FLNET_NODE_ID=$_THIS_NODE_ID" >> "$PIPENV_DOTENV_LOCATION"
fi

cd ../src
pipenv run -v python flnet.py
rm $PIPENV_DOTENV_LOCATION
