import configuration.config as config


class NodeModel:
    def __init__(self, node_id=config.NODE_ID, ip=None, port=config.NODE_PORT):
        self.node_id = node_id
        self.ip = ip
        self.port = port

    def __hash__(self):
        return hash(self.ip) + hash(self.port)

    def __eq__(self, other):
        if not isinstance(other, NodeModel):
            return False

        return self.ip == other.ip and self.port == other.port

    def __repr__(self):
        return str(self)

    def __str__(self):
        return "id: {}, ip: {}, port: {}".format(self.node_id, self.ip, self.port)

    def to_request_body(self):
        return {'id': str(self.node_id), 'ip': self.ip, 'port': self.port}
