(function () {
    let $ctrl = this;

    const launchTraining = (button, trainerId) => {
        button.disabled = true;
        fetch('/training/trigger', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({'trainerId': trainerId})
        })
            .then((response) => {
                if (response.status === 200) {
                    console.log('Training started');
                }
            })
            .catch((error) => {
                // There was an error
                console.warn('Error launching the training:', error);
            })
            .finally(() => {
                button.disabled = false;
            });

    }

    const init = () => {
        var trainingButtons = document.querySelectorAll('[id^=start-training-button-]')
        trainingButtons.forEach(function(element) {
            var trainerId = element.id.substr('start-training-button-'.length)
            element.addEventListener('click', () => {
                launchTraining(this, trainerId);
            }, false);
        })
    }

    init();
})();
