import configuration.config as config

from trainers.mnist_trainer import MnistTrainer
from trainers.chest_x_ray_pneumonia_trainer import ChestXRayPneumoniaTrainer
from trainers.cifar10_trainer import Cifar10Trainer

def register_trainers():
    registered_trainers = [MnistTrainer(config.RANDOM_SEED), ChestXRayPneumoniaTrainer(config.RANDOM_SEED), Cifar10Trainer(config.RANDOM_SEED)]
    return registered_trainers

